aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2016-08-02 17:18:20 +1200
committerTom Ryder <tom@sanctum.geek.nz>2016-08-02 17:18:20 +1200
commit56fbfe7ec118f737be07ff9b80182706fe7dfd12 (patch)
tree2f2b9feda82215b944fdd20416bf6858549ed04c
parentSpruce up lint-bin and lint-games scripts (diff)
downloaddotfiles-56fbfe7ec118f737be07ff9b80182706fe7dfd12.tar.gz
dotfiles-56fbfe7ec118f737be07ff9b80182706fe7dfd12.zip
Restore -f test rather than -e test
Because it prevents testing directories, of course
-rwxr-xr-xlint/bin2
-rwxr-xr-xlint/games2
-rwxr-xr-xtest/bash2
-rwxr-xr-xtest/bin2
-rwxr-xr-xtest/games2
-rwxr-xr-xtest/urxvt2
6 files changed, 6 insertions, 6 deletions
diff --git a/lint/bin b/lint/bin
index c5729fdb..a126a822 100755
--- a/lint/bin
+++ b/lint/bin
@@ -1,6 +1,6 @@
#!/bin/sh
for bin in games/* ; do
- [ -e "$bin" ] || continue
+ [ -f "$bin" ] || continue
hb=$(sed 1q "$bin") || exit
case $hb in
*sh)
diff --git a/lint/games b/lint/games
index 6deac3b1..ef451f4e 100755
--- a/lint/games
+++ b/lint/games
@@ -1,6 +1,6 @@
#!/bin/sh
for game in games/* ; do
- [ -e "$game" ] || continue
+ [ -f "$game" ] || continue
hb=$(sed 1q "$game") || exit
case $hb in
*sh)
diff --git a/test/bash b/test/bash
index 60616c95..f203c2c1 100755
--- a/test/bash
+++ b/test/bash
@@ -1,6 +1,6 @@
#!/bin/sh
for bash in bash/* bash/bashrc.d/* bash/bash_profile.d/* ; do
- [ -e "$bash" ] || continue
+ [ -f "$bash" ] || continue
bash -n "$bash" || exit
done
printf 'All bash(1) scripts parsed successfully.\n'
diff --git a/test/bin b/test/bin
index 499c6005..4b68d6b8 100755
--- a/test/bin
+++ b/test/bin
@@ -1,6 +1,6 @@
#!/bin/sh
for bin in bin/* ; do
- [ -e "$bin" ] || continue
+ [ -f "$bin" ] || continue
hb=$(sed 1q "$bin") || exit
case $hb in
*bash)
diff --git a/test/games b/test/games
index c1e3cf4a..8dec1538 100755
--- a/test/games
+++ b/test/games
@@ -1,6 +1,6 @@
#!/bin/sh
for game in games/* ; do
- [ -e "$game" ] || continue
+ [ -f "$game" ] || continue
hb=$(sed 1q "$game") || exit
case $hb in
*bash)
diff --git a/test/urxvt b/test/urxvt
index 71970b8f..d27d6660 100755
--- a/test/urxvt
+++ b/test/urxvt
@@ -1,6 +1,6 @@
#!/bin/sh
for perl in urxvt/ext/* ; do
- [ -e "$perl" ] || continue
+ [ -f "$perl" ] || continue
perl -c "$perl" >/dev/null || exit
done
printf 'All Perl scripts in urxvt/ext parsed successfully.\n'